/**
 * @author WanJl
 * @version 1.0
 * @title Demo04
 * @description 比较运算符
 * @create 2026/7/14
 */
public class Demo04 {
    public static void main(String[] args) {
        /*
           >        大于          5>3     true
           <        小于          5<3     false
           ==       等于          5==3    false
           >=       大于等于       5>=3    true
           <=       小于等于       5<=3    false
           !=       不等于         5!=3    true
         */

        //比较运算符 陷阱（精度陷阱）
        double b1=0.1+0.2;
        double b2=0.3;
        System.out.println(b1==b2);     //false 浮点数精度误差
        System.out.println(b1);
        System.out.println(b2);
        //输出保留2位小数
        System.out.printf("%.1f",b1);


    }
}
